#include "Auto.h"

void Auto::Init()
{
	rychlost =RYCHLOST_MIN;
	smerJizdy =  S_nahoru;
}

void Auto::SnizRychlost()
{
	rychlost-=RYCHLOST_STEP_DOWN;
	if (rychlost<RYCHLOST_MIN) rychlost = RYCHLOST_MIN;
}	

void Auto::ZvysRychlost() 
{
	rychlost+=RYCHLOST_STEP_UP;
	if (rychlost>RYCHLOST_MAX) rychlost = RYCHLOST_MAX;
}

void Auto::ZatocVlevo() 
{
	switch (smerJizdy) {
		case S_vlevo:
			smerJizdy=S_dolu;
			break;
		case S_vpravo:
			smerJizdy=S_nahoru;
			break;
		case S_dolu:
			smerJizdy=S_vpravo;
			break;
		case S_nahoru:
			smerJizdy=S_vlevo;
			break;
	}
}

void Auto::ZatocVpravo()
{
	switch (smerJizdy) {
		case S_vlevo:
			smerJizdy=S_nahoru;
			break;
		case S_vpravo:
			smerJizdy=S_dolu;
			break;
		case S_dolu:
			smerJizdy=S_vlevo;
			break;
		case S_nahoru:
			smerJizdy=S_vpravo;
			break;
	}	
}

void Auto::VypisInfo()
{
	if (rychlost == 0) {
		cout << " auto stoji";
		return;
	}
	cout << " auto jede ";
	switch (smerJizdy) {
		case S_vlevo:
			cout << "vlevo";
			break;
		case S_vpravo:
			cout << "vpravo";
			break;
		case S_dolu:
			cout <<"dolu";
			break;
		case S_nahoru:
			cout << "nahoru";
			break;
	}	
	cout << " rychlosti " << rychlost;
}
